#
# hop.rb
#
# $Id: hop.rb,v 1.1 2000/11/21 03:15:26 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


nmax = 400
dt = 2*PI/(nmax-1)

x = NArray.sfloat(nmax)
y = NArray.sfloat(nmax)

for n in 0..nmax-1
  t = dt*n
  x[n] = 1e2*sin(4*t)
  y[n] = 1e-3*cos(5*t)+6
end

iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

ussttl('X-TITLE', 'x-unit', 'Y-TITLE', 'y-unit')
usgrph(nmax, x, y)

grcls

